---
title: PaymentRequestEvent.topOrigin
slug: Web/API/PaymentRequestEvent/topOrigin
tags:
  - API
  - Payment Request API
  - PaymentRequestEvent
  - Property
  - Reference
  - payment
  - topLevelOrigin
---
<p>{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>topOrigin</code></strong> read-only property of the {{domxref("PaymentRequestEvent")}} interface returns the top level payee origin where the {{domxref("PaymentRequest")}} object was initialized.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>aUsvString</em> = <em>paymentRequestEvent</em>.topOrigin</pre>

<h3 id="Value">Value</h3>

<p>A USVString</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Payment Handler","#toporigin-attribute","topOrigin")}}</td>
   <td>{{Spec2("Payment Handler")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PaymentRequestEvent.topOrigin")}}</p>
